/* ----- Apartadod Contacto -----*/

/*Define el estilo del titulo de Contacto*/
.titulo-Contacto {
  text-align: center;
  font-size: 38px;
  margin: 40px 20px 20px;
  color: #19136b; 
  font-weight: bold;
  position: relative;
}

/* Estilo de la línea decorativa debajo del título Contacto */
.titulo-Contacto::after {
  content: "";
  display: block;
  width: 60px;
  height: 4px;
  background-color: rgb(120, 34, 47);
  margin: 8px auto 0;
  border-radius: 2px;
}

/* Estilo de la caja principal con la informacion de contacto */
.caja-contacto {
  max-width: 1000px;  
  margin: 30px auto 50px;
  background: #ffffff;
  border-radius: 15px;
  box-shadow: 0 6px 15px rgba(0,0,0,0.15);
  padding: 40px 60px;
  display: flex;      
  gap: 40px;           
  text-align: left;    
}

/* Define el orden de los campos a rellenar en el formulario de contacto */
.form-contacto {
  max-width: 500px;
  margin: 20px auto;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

/* Define el estilo de los campos a rellenar en el formulario de contacto */
.form-contacto input,
.form-contacto textarea {
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 8px;
  font-size: 16px;
}

/* Define el estilo del boton enviar del formulario */
.form-contacto button {
  padding: 12px;
  background: #0078d7;
  color: #fff;
  border: none;
  border-radius: 8px;
  font-size: 16px;
  cursor: pointer;
}

/* Animacion de cambio de color al pasar el cursor en el boton enviar del formulario */ 
.form-contacto button:hover {
  background: #004a94;
}

/* Coloca al campo de nombre y el de apellido en una misma fila */
.fila-nombre-apellidos {
  display: flex;
  gap: 15px;
}

/* Define el estilo del titulo de la columna de contacto directo*/
.subtitulo-contacto {
  text-align: center;
  font-size: 20px;
  margin-top: 30px;
  color: #004a94;
}

/* Responsive: en móvil, los campos de nombre y apellido se apilan verticalmente en movil*/
@media (max-width: 768px) {
  .fila-nombre-apellidos {
    flex-direction: column;
    gap: 15px;
  }

  .campo {
    width: 100%;
    display: flex;
    flex-direction: column;
  }

  .campo label {
    margin-bottom: 8px;
    display: block;
  }

  .caja-contacto {
    flex-direction: column;
    padding: 20px;
    gap: 30px;
  }

  .form-contacto {
    max-width: 100%;
  }
}
